Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 446814 - Review Request: emacs-lookup - Emacsen interface to look up dictionaries
Summary: Review Request: emacs-lookup - Emacsen interface to look up dictionaries
Keywords:
Status: CLOSED DUPLICATE of bug 579662
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-16 09:18 UTC by Akira TAGOH
Modified: 2010-04-06 07:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-16 15:21:50 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2008-05-16 09:18:51 UTC
Spec URL: http://tagoh.fedorapeople.org/emacs-lookup/emacs-lookup.spec
SRPM URL: http://tagoh.fedorapeople.org/emacs-lookup/emacs-lookup-1.4.1-1.fc9.src.rpm
Description:

Lookup is an integrated search interface with electronic dictionaries
for Emacsen. You can use various kinds of dictionaries, such as CD-ROM books
and online dictionaries, in an efficient and effective manner.

Comment 1 Jason Tibbitts 2008-06-21 23:21:23 UTC
This fails to build in mock for me; the build completes, but the final assembly
process fails with:

error: Installed (but unpackaged) file(s) found:
   /usr/share/info/dir

It's recommended that you rm -f this; whether it is generated or not depends on
several things, but it should never be included in the package.

Comment 2 Akira TAGOH 2008-06-23 03:28:19 UTC
Thank you for catching this up. wasn't aware of that so that I didn't see that
error here. anyway fixed in:

Spec URL: http://tagoh.fedorapeople.org/emacs-lookup/emacs-lookup.spec
SRPM URL:
http://tagoh.fedorapeople.org/emacs-lookup/emacs-lookup-1.4.1-2.fc9.src.rpm


Comment 3 Jason Tibbitts 2008-06-25 04:26:25 UTC
I had intended to get back to this with some more review commentary so we didn't
have to go back and forth, but I ran out of time, sorry.

I notice that the lookup-guide.info file isn't in UTF8, and isn't in any
encoding I recognize, so it doesn't render at all for me.  (rpmlint complains
it, of course.)  Do you know what the encoding is?  Is it possible to convert to
UTF8 so that everyone can at least look at the file without having to set some
specific encoding?

I get a "406 Not Acceptable" error when visiting the URL given in the spec.  I
expect that the server is trying to present a page based on my language
settings, but none exists.  Perhaps it would be better to simply refer directly
to the Japanese page at http://openlab.jp/edict/lookup/index.html.ja. 
Unfortunately my Japanese is only good enough to read a few words (and most of
the gairaigo) on that page, but it's obviously a reasonable page to use as the
URL for this package.
 
Unfortunately this package fails to conform to many of the Emacs packaging
guidelines given in http://fedoraproject.org/wiki/Packaging/Emacs.  The
versioned dependencies are missing, the build dependencies are not correct
(although the package still builds for me), there are no separate -el packages,
etc.  There are some pretty complete templates on the guideline page which you
can copy.

Comment 4 Tony Fu 2008-09-10 03:07:27 UTC
requested by Jens Petersen (#27995)

Comment 5 Jason Tibbitts 2008-11-08 00:38:16 UTC
So its been over four months since I made my comments with no response.  I will close this ticket soon if there is no further progress.

Comment 6 Daiki Ueno 2010-04-06 07:12:11 UTC
I've just packaged Lookup 2.0 beta, which is a major rewrite of 1.4 and works much more seamlessly with Emacs 23.  Here are spec and SRPM:

Spec URL:
http://www.unixuser.org/~ueno/software/fedora/lookup/emacs-lookup.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/lookup/emacs-lookup-1.99.95-1.fc13.src.rpm

Notes:
- Since the upstream no longer supports XEmacs (see NEWS), I packaged it for GNU Emacs only.
- The spec file is based on the template on the Emacs packaging policy so it should not contain issues mentioned above.
- I concluded the license is GPLv3+ since the package contains both GPLv2+ and GPLv3+ files.

If it is ok, I'm available for maintaining the package.

Comment 7 Mamoru TASAKA 2010-04-06 07:25:50 UTC
(In reply to comment #6)
> If it is ok, I'm available for maintaining the package.    

If you want to import this package into Fedora, please file
a new review request and mark this ticket as a duplicate of the
new one.

Comment 8 Daiki Ueno 2010-04-06 07:40:43 UTC
Done, thanks.

*** This bug has been marked as a duplicate of bug 579662 ***


Note You need to log in before you can comment on or make changes to this bug.